# JJ 2013-05-14: populate home directory for hyad profile

if [ "$HOME" = "/home/$USER" ] && 
    [ "x$HYADHOME" = x ] && 
    [ $(id -u) -gt 1000000 ]; then
    
  # Figure out HYADHOME
  c=$(echo "$USER" | cut -c1)
  n=$(echo $c | tr a-ef-jk-lm-op-st-z 1111122222334445555666666)
  export HYADHOME=/home/ad/fshome$n/u$n/$c/$USER
  unset c
  unset n


  # If the symlink trick is in use, create and populate symlink target directory
  if [ -L "$HOME" ]; then
    linux_home="$(readlink -m $HOME)"
    mkdir -p "$linux_home"
    if [ "$PWD" = "/" -o "$PWD" = "$linux_home" ]; then
      # reset the ugly looking full path home directory or missing link
      cd $HOME
    fi
    for d in Desktop Documents Downloads; do
      mkdir -p "$HYADHOME/$d"
      [ -L $d -o -e $d ] || ln -s ../$d $d
    done

    unset linux_home d

    localcache="$TMPDIR/.cache.cubbli"
    mkdir -m 700 -p "$localcache"
  fi
    
  # Populate home directory only when PWD is home directory
  if [ "$PWD" = "$HOME" ]; then

    # FIXME: handle lapstop case
    ln -nfs "$HYADHOME" ./Z-drive
  
    if [ ! -f .gtk-bookmarks ] || ! egrep -q "^file://$HYADHOME" .gtk-bookmarks; then
      echo "file://$HYADHOME Z-drive" >> .gtk-bookmarks
    fi
  fi
fi
